Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.io.parsers
Class AbstractProteinSequenceInputParser

    java.lang.Object
      |
      +--uk.ac.man.bioinf.io.parsers.AbstractProteinSequenceInputParser

All Implemented Interfaces:
  SequenceInputParser

Direct Known Subclasses:
  FastaSequenceParser

public abstract class AbstractProteinSequenceInputParser
extends Object
implements SequenceInputParser

AbstractProteinSequenceInputParser.java Provides a root class for all protein sequence parsers. Created: Wed Feb 7 15:08:25 2001

Version:
  $Id: AbstractProteinSequenceInputParser.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`AbstractProteinSequenceInputParser()`

Method Summary
`protected UnknownElementException` | `createException(int position, char elem)`
`protected Element[]` | `toElements(String seq, ParserExceptionHandler eh)`
`protected Sequence` | `toSequence(Identifier ident, String seq, ParserExceptionHandler eh)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.io.SequenceInputParser
`getDescription, parse`

Constructor Detail

### AbstractProteinSequenceInputParser

    public AbstractProteinSequenceInputParser()

Method Detail

### toSequence

    protected Sequence toSequence(Identifier ident,
                                  String seq,
                                  ParserExceptionHandler eh)

### toElements

    protected Element[] toElements(String seq,
                                   ParserExceptionHandler eh)

### createException

    protected UnknownElementException createException(int position,
                                                      char elem)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD